version: '3'

services:
  gateway-service:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: gateway-service
    image: gateway-serivce
    env_file:
      - .env
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "10"
    deploy:
      resources:
        limits:
          memory: 500M
    restart: always
    networks:
      - app_network
networks:
  app_network:
    external: true


